1 Reply Latest reply on May 30, 2013 1:29 AM by jaikiran pai

    CDI 2.0 / weld

    Frank Langelage Master

      Whend deplyoing my web app on WildFly 8.0.0-Alpha2-SNAPSHOT I see

      23:26:43,993 WARN  [org.jboss.weld.Bootstrap#startContainer] Legacy deployment metadata provided by the integrator. Certain functionality will not be available.

      in my server.log.

      What does this mean?

      Is this due to my "old" beans.xml?

      {code:xml}

      <beans xmlns="http://java.sun.com/xml/ns/javaee"

              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

              xmlns:weld="http://jboss.org/schema/weld/beans"

              xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://docs.jboss.org/cdi/beans_1_0.xsd http://jboss.org/schema/weld/beans http://jboss.org/schema/weld/beans_1_1.xsd">

      </beans>

      {code:xml}

       

      If yes, what's the right version for CDI 2.0 ?